## ros-eloquent-rosidl-generator-py 0.8.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rosidl_generator_py)

find_package(ament_cmake REQUIRED)

ament_export_dependencies(ament_cmake)
ament_export_dependencies(rmw)
ament_export_dependencies(rosidl_cmake)

ament_index_register_resource("rosidl_generator_packages")

ament_python_install_package(${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_cmake_pytest REQUIRED)

  find_package(rmw REQUIRED)
  find_package(rosidl_cmake REQUIRED)
  find_package(rosidl_generator_c REQUIRED)

  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(test_interface_files REQUIRED)

  include(cmake/register_py.cmake)
  include(cmake/rosidl_generator_py_get_typesupports.cmake)

  # Trick ament_target_dependencies() into thinking this package has been found
  set(rosidl_generator_py_FOUND "1")
  set(rosidl_generator_py_DIR "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

  # Need to call extras before get_typesupports, to register the extension
  rosidl_generator_py_extras(
    "${CMAKE_CURRENT_SOURCE_DIR}/bin/rosidl_generator_py"
    "${CMAKE_CURRENT_SOURCE_DIR}/rosidl_generator_py/__init__.py;${CMAKE_CURRENT_SOURCE_DIR}/rosidl_generator_py/generate_py_impl.py"
    "${CMAKE_CURRENT_SOURCE_DIR}/resource"
  )

  # If no message files were generated, skip the test.
  rosidl_generator_py_get_typesupports(_typesupport_impls)
  if(_typesupport_impls STREQUAL "")
    message(WARNING "No valid typesupport found for Python generator, skipping tests.")
  else()
    # Use a custom suffix for the target name here to detect regressions of this:
    #   https://github.com/ros2/rosidl_python/issues/11
    # The alternative style (just using ${PROJECT_NAME}) is used by most interface packages.
    rosidl_generate_interfaces(${PROJECT_NAME}_custom
      ${test_interface_files_MSG_FILES}
      # Cases not covered by test_interface_files
      msg/StringArrays.msg
      ADD_LINTER_TESTS
      SKIP_INSTALL
    )

    set(_append_library_dirs "")
    if(WIN32)
      set(_append_library_dirs "${CMAKE_CURRENT_BINARY_DIR}/$<CONFIG>")
    endif()

    set(_PYTHON_EXECUTABLE "${PYTHON_EXECUTABLE}")
    if(WIN32 AND "${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
      set(_PYTHON_EXECUTABLE "${PYTHON_EXECUTABLE_DEBUG}")
    endif()
    set(pythonpath "${CMAKE_CURRENT_BINARY_DIR}/rosidl_generator_py;${CMAKE_CURRENT_SOURCE_DIR}")
    if(NOT WIN32)
      string(REPLACE ";" ":" pythonpath "${pythonpath}")
    endif()
    ament_add_pytest_test(test_interfaces_py "test/test_interfaces.py"
      PYTHON_EXECUTABLE "${_PYTHON_EXECUTABLE}"
      APPEND_ENV "PYTHONPATH=${pythonpath}"
      APPEND_LIBRARY_DIRS "${_append_library_dirs}"
      WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/rosidl_generator_py"
    )
  endif()
endif()

ament_package(
  CONFIG_EXTRAS "cmake/rosidl_generator_py_get_typesupports.cmake"
    "cmake/register_py.cmake"
    "rosidl_generator_py-extras.cmake.in"
)

install(
  PROGRAMS bin/rosidl_generator_py
  DESTINATION lib/rosidl_generator_py
)
install(
  DIRECTORY cmake resource
  DESTINATION share/${PROJECT_NAME}
)

=== debian/changelog ===
ros-eloquent-rosidl-generator-py (0.8.2-1bionic) bionic; urgency=high

  * fix too early decref of WString when converting from Python to C (#117 <https://github.com/ros2/rosidl_python/issues/117>) (#121 <https://github.com/ros2/rosidl_python/issues/121>)
  * Contributors: Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Fri, 04 Dec 2020 06:00:00 -0000

ros-eloquent-rosidl-generator-py (0.8.1-1bionic) bionic; urgency=high

  * Enable tests for 'char' type fields (#91 <https://github.com/ros2/rosidl_python/issues/91>)
  * Refactor tests (#89 <https://github.com/ros2/rosidl_python/issues/89>)
  * Contributors: Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-rosidl-generator-py (0.8.0-1bionic) bionic; urgency=high

  * Find numpy headers in non-debian paths (#75 <https://github.com/ros2/rosidl_python/issues/75>) (#75 <https://github.com/ros2/rosidl_python/issues/75>)
  * Remove non-package from ament_target_dependencies() (#76 <https://github.com/ros2/rosidl_python/issues/76>)
  * Avoid multiple includes for nested array functions (#72 <https://github.com/ros2/rosidl_python/issues/72>)
  * Remove the padding member from structs which should be empty (#73 <https://github.com/ros2/rosidl_python/issues/73>)
  * Ensure the contents of the field are an array. (#63 <https://github.com/ros2/rosidl_python/issues/63>)
  * Make the message __repr__ for Python look nicer (#60 <https://github.com/ros2/rosidl_python/issues/60>)
    Before this patch, publishing a message with "ros2 topic pub" would print something like:
    ``publishing #5: my_msgs.msg.my_msg(axes=array('f', [0.0]))``
    While that is OK, it is kind of ugly.
    This patch hides the typecode and the "array" so that the output looks like:
    ``publishing #5: my_msgs.msg.my_msg(axes=[0.0])``
  * Contributors: Chris Lalancette, Dirk Thomas, Jacob Perron, Rich Mattes, Shane Loretz

 -- Scott K Logan <scott@openrobotics.org>  Wed, 25 Sep 2019 05:00:00 -0000

ros-eloquent-rosidl-generator-py (0.7.6-1bionic) bionic; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Thu, 30 May 2019 05:00:00 -0000

ros-eloquent-rosidl-generator-py (0.7.5-1bionic) bionic; urgency=high

  * Fix PYTHONPATH for test (#58 <https://github.com/ros2/rosidl_python/issues/58>)
  * Contributors: Dirk Thomas

 -- Scott K Logan <scott@openrobotics.org>  Wed, 29 May 2019 05:00:00 -0000

ros-eloquent-rosidl-generator-py (0.7.4-1bionic) bionic; urgency=high

  * Encode/decode strings with UTF-8 (#57 <https://github.com/ros2/rosidl_python/issues/57>)
  * Contributors: Dirk Thomas

 -- Scott K Logan <scott@openrobotics.org>  Mon, 20 May 2019 05:00:00 -0000

ros-eloquent-rosidl-generator-py (0.7.3-1bionic) bionic; urgency=high

  * Add missing numpy test dependency (#56 <https://github.com/ros2/rosidl_python/issues/56>)
  * Contributors: Dirk Thomas

 -- Scott K Logan <scott@openrobotics.org>  Wed, 08 May 2019 22:57:00 -0000

ros-eloquent-rosidl-generator-py (0.7.2-1bionic) bionic; urgency=high

  * Fix conversion from C to Python in case a sequence has default values (#55 <https://github.com/ros2/rosidl_python/issues/55>)
  * Store types as tuple of abstract types (#33 <https://github.com/ros2/rosidl_python/issues/33>)
  * Add WString support (#47 <https://github.com/ros2/rosidl_python/issues/47>)
  * Use semantic exec_depend key for python3-numpy. (#48 <https://github.com/ros2/rosidl_python/issues/48>)
  * Fix boolean constant in Python mapping (#46 <https://github.com/ros2/rosidl_python/issues/46>)
  * Simplify code using updated definition API (#45 <https://github.com/ros2/rosidl_python/issues/45>)
  * Update code to match refactoring of rosidl definitions (#44 <https://github.com/ros2/rosidl_python/issues/44>)
  * Fix quoted strings for new flake8-quote check. (#42 <https://github.com/ros2/rosidl_python/issues/42>)
  * use quotes with least escaping for Python string literals (#43 <https://github.com/ros2/rosidl_python/issues/43>)
  * Remove obsolete argument mod_prefix (#41 <https://github.com/ros2/rosidl_python/issues/41>)
  * Contributors: Chris Lalancette, Dirk Thomas, Mikael Arguedas, Steven! Ragnarök

 -- Scott K Logan <scott@openrobotics.org>  Wed, 08 May 2019 21:58:00 -0000

ros-eloquent-rosidl-generator-py (0.7.1-1bionic) bionic; urgency=high

  * Add numpy dependency to package.xml. (#39 <https://github.com/ros2/rosidl_python/issues/39>)
  * Contributors: Steven! Ragnarök

 -- Scott K Logan <scott@openrobotics.org>  Sun, 14 Apr 2019 17:48:00 -0000

ros-eloquent-rosidl-generator-py (0.7.0-1bionic) bionic; urgency=high

  * Fix numpy usage for Windows debug builds (#36 <https://github.com/ros2/rosidl_python/issues/36>)
  * Fix compiler warning about unused variable in release mode (#35 <https://github.com/ros2/rosidl_python/issues/35>)
  * Map Arrays to numpy.ndarray() and Sequences to array.array() (#35 <https://github.com/ros2/rosidl_python/issues/35>)
  * Change generators to IDL-based pipeline (#24 <https://github.com/ros2/rosidl_python/issues/24>)
  * Ignore import order on generated imports (#29 <https://github.com/ros2/rosidl_python/issues/29>)
  * Provide type support for 'goal_status_array' in action type support
  * Fix flake8 error (#27 <https://github.com/ros2/rosidl_python/issues/27>)
  * Adds Python typesupport for Actions (#21 <https://github.com/ros2/rosidl_python/issues/21>)
  * Contributors: Alexis Pojomovsky, Dirk Thomas, Jacob Perron, Shane Loretz

 -- Scott K Logan <scott@openrobotics.org>  Sun, 14 Apr 2019 10:05:00 -0000

ros-eloquent-rosidl-generator-py (0.6.2-1bionic) bionic; urgency=high

  * Throw on non-ascii characters in string and char message fields (#26 <https://github.com/ros2/rosidl_python/issues/26>)
  * Change uncrustify max line length to 0 (#25 <https://github.com/ros2/rosidl_python/issues/25>)
    This is for compatibility with uncrustify v0.68.
  * Contributors: Jacob Perron, Michel Hidalgo



=== debian/control ===
Source: ros-eloquent-rosidl-generator-py
Section: misc
Priority: optional
Maintainer: Scott K Logan <scott@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-numpy, python3-pytest, ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-pytest, ros-eloquent-ament-index-python, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-python-cmake-module, ros-eloquent-rmw, ros-eloquent-rmw-implementation, ros-eloquent-rmw-implementation-cmake, ros-eloquent-rosidl-cmake, ros-eloquent-rosidl-generator-c, ros-eloquent-rosidl-parser, ros-eloquent-rosidl-typesupport-c, ros-eloquent-test-interface-files, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-rosidl-generator-py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-numpy, ros-eloquent-ament-cmake, ros-eloquent-ament-index-python, ros-eloquent-python-cmake-module, ros-eloquent-rmw, ros-eloquent-rmw-implementation, ros-eloquent-rmw-implementation-cmake, ros-eloquent-rosidl-cmake, ros-eloquent-rosidl-generator-c, ros-eloquent-rosidl-parser, ros-eloquent-rosidl-typesupport-c, ros-eloquent-rosidl-typesupport-interface, ros-eloquent-ros-workspace
Description: Generate the ROS interfaces in Python.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent" \
		-DCMAKE_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-rosidl-generator-py//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
